> For the complete documentation index, see [llms.txt](https://docs.guestlogix.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.guestlogix.io/traveler/mobile-sdks/ios/getting-started.md).

# Getting Started

To initialize the SDK, add the following to your AppDelegate; including your [Publishable Key](/quick-start.md#publishable-key) in the `initialize` method.&#x20;

If you are integrating into an iPhone or iPad app, you should also include the UI SDK and initialize that as well. However in order to properly utilize the UI SDK a payment provider is required. Currently we only support [Stripe](https://stripe.com) as a payment provider so be sure to include that as well.

```swift
import TravelerKit
import TravelerStripePaymentProvider
import TravelerKitUI

@UIApplicationMain
class AppDelegate: UIResponder, UIApplicationDelegate {

    func application(_ application: UIApplication, didFinishLaunchingWithOptions launchOptions: [UIApplication.LaunchOptionsKey: Any]?) -> Bool {

        // TravelerSDK

        Traveler.initialize(apiKey: "YOUR_API_KEY_GOES_HERE", device: UIDevice.current, sandboxMode: true)
        
        let paymentCollectorPackage = StripePaymentProvider(sandboxModeEnabled: true).paymentCollectorPackage()
        TravelerUI.initialize(paymentHandler: paymentCollectorPackage.1, paymentViewController: paymentCollectorPackage.0)

        return true
    }
}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.guestlogix.io/traveler/mobile-sdks/ios/getting-started.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
